--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Set up an adapter for a storage engine
- !ruby/struct:SM::Flow::P 
  body: "@see DataMapper.setup"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Adapters::new
is_singleton: true
name: new
params: (repository_name, options)
visibility: public
